{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/nas0.nix
  ];

  networking.hostName = "nextcloud";
  system.stateVersion = "24.11";
  nixpkgs.hostPlatform = "x86_64-linux";

  sops.secrets.nextcloud_admin_pass = {
    sopsFile = ../../../secrets/nextcloud/default.yaml;
  };

  services.nextcloud = {
    enable = true;
    package = pkgs.nextcloud30;
    hostName = "nc.noe.sh";
    config.adminpassFile = config.sops.secrets.nextcloud_admin_pass.path;
    # https = true;
  };
}
